{% extends "./_base.html" %}
{% block content %} 
{% load crispy_forms_tags %}
{% load static %}
<div class="container">
	<div id="myModal" class="modal fade" tabindex="-1" role="dialog">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">検索条件</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="閉じる">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<form id="filter" method="get">
					<div class="modal-body">
						{{filter.form|crispy}}
					</div>
				</form>
				<div class="modal-footer">
					<a class="btn btn-outline-secondary" data-dismiss="modal">戻る</a>
					<button type="submit" class="btn btn-outline-secondary" form="filter">検索</button>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-12">
			<a class="btn btn-secondary filtered" style="visibility:hidden" href="/?page=1">検索を解除</a>
			<div class="float-right">
				<a class="btn btn-outline-secondary" href="{% url 'create' %}">新規</a>
				<a class="btn btn-outline-secondary" data-toggle="modal" data-target="#myModal" href="#">検索</a>
			</div>
		</div>
	</div>

	<div class="row" >
		<div class="col-12">
			{% include "./_pagination.html" %}
		</div>
	</div>

	<div class="row">
		<div class="col-12">
			<ul class="list-group">
				{% for expense in expense_list %}
				<li class="list-group-expense">
					<div class="row">
						<div class="col-2">
							<p>名前</p>
						</div>
						<div class="col-6">
							<p>{{ expense.name }}</p>
						</div>
					</div>
					<div class="row">
						<div class="col-2">
							<p>使用日</p>
						</div>
						<div class="col-6">
							<p>{{expense.use_date|date:"Y/m/d G:i:s"}}</p>
						</div>
					</div>
					<div class="row">
						<div class="col-2">
							<p>費用</p>
						</div>
						<div class="col-6">
							<p>{{expense.expense}}　(円)</p>
						</div>
					</div>
					<div class="row">
						<div class="col-2">
							<p>カテゴリ</p>
						</div>
						<div class="col-6">
							<p>{{expense.category}}</p>
						</div>
					</div>
					<div class="row">
						<div class="col-6">
							<div class="float-right">
								<a class="btn btn-outline-secondary " href="{% url 'detail' expense.pk %}">詳細</a>
								<a class="btn btn-outline-secondary " href="{% url 'update' expense.pk %}">編集</a>
								<a class="btn btn-outline-secondary " href="{% url 'delete' expense.pk %}">削除</a>
							</div>
						</div>
					</div>
				</li>
				{% empty %}
				<li class="list-group-expense">
					対象のデータがありません
				</li>
				{% endfor %}
			</ul>
		</div>
	</div>
	<div class="row" >
		<div class="col-12">
			<div class="float-right">
				<a class="btn btn-outline-secondary" href="{% url 'create' %}">新規</a>
				<a class="btn btn-outline-secondary" data-toggle="modal" data-target="#myModal" href="#">検索</a>
			</div>
		</div>
	</div>
</div>

{% endblock %}